This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 868120

Summary: Metadata written to disk even if no changes occur.
Product: [Community] Gluster-Swift Reporter: Peter Portante <pportant>
Component: object-serverAssignee: Peter Portante <pportant>
Status: MODIFIED --- QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: 0.1CC: bugs, lpabon, perfbz, pportant, sankarshan
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 903396, 978061    

Description Peter Portante 2012-10-19 01:30:06 EDT
Description of problem:

  Today the code can write metadata to disk even if it has not been changed.

Version-Release number of selected component (if applicable):

  RHS 2.0

How reproducible:

  Readily

Steps to Reproduce:
1. Clear memcache, or use object_only=False config
2. Issue a Swift API GET on a container
3. Observe that the metadata is read then written even though it has not changed
  
Actual results:

  Metadata written to disk when it has not changed.

Expected results:

  Metadata is only written to disk when it has changed.

Additional info:
Comment 1 Peter Portante 2012-10-19 01:30:39 EDT
Working on changes for this one.
Comment 2 Vijay Bellur 2012-10-25 18:04:28 EDT
CHANGE: http://review.gluster.org/4111 (Further reduce extended attribute reads/writes) merged in master by Anand Avati (avati@redhat.com)
Comment 3 Vijay Bellur 2012-11-16 07:46:31 EST
CHANGE: http://review.gluster.org/4173 (object-storage: only update metadata that changes) merged in master by Vijay Bellur (vbellur@redhat.com)